#include <bits/stdc++.h>
#include <ext/pb_ds/tree_policy.hpp>
#include <ext/pb_ds/assoc_container.hpp>

using namespace std;
using namespace __gnu_pbds;

typedef vector<int> vi;
typedef vector<vi> vvi;
typedef pair<int, int> pii;
typedef vector<pii> vpii;
typedef vector<vpii> vvpii;
typedef long long ll;
typedef long double ld;

template <class T> using Tree = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

#define pb push_back
#define mp make_pair
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define sz(x) (int)(x).size()
#define fi first
#define se second

template<class T> bool ckmin(T &a, const T &b) {return a > b ? a = b, 1 : 0;}
template<class T> bool ckmax(T &a, const T &b) {return a < b ? a = b, 1 : 0;}

//DEBUG TEMPLATE POCINJE OVDE

void __print(int x) {cerr << x;}
void __print(long long x) {cerr << x;}
void __print(double x) {cerr << x;}
void __print(long double x) {cerr << x;}
void __print(char x) {cerr << '\'' << x << '\'';}
void __print(const string &x) {cerr << '\"' << x << '\"';}
void __print(bool x) {cerr << (x ? "true" : "false");}

template<typename T, typename V>
void __print(const pair<T, V> &x) {cerr << '{'; __print(x.first); cerr << ','; __print(x.second); cerr << '}';}
template<typename T>
void __print(const T &x) {int f = 0; cerr << '{'; for(auto z : x) cerr << (f++ ? "," : ""), __print(z); cerr << "}";}
void _print() {cerr << "]\n";}
template <typename T, typename... V>
void _print(T t, V... v) {__print(t); if(sizeof...(v)) cerr << ", "; _print(v...);}

#ifdef ljuba
#define debug(x...) cerr << "LINE(" << __LINE__ << ") -> " << "[" << #x << "] = ["; _print(x)
#else
#define debug(x...)
#endif

//DEBUG TEMPLATE SE ZAVRSAVA OVDE

const char nl = '\n';

const int mxN = 1e3;
const int mxN2 = 1e5 + 12;
const int INF = 1e9;

int dp[mxN][10][1<<10];

int dp2[mxN2][2][1<<2];

void check(vi &v) {
    int n = sz(v);

    for(int i = 0; i < n; ++i) {
        if(v[i] > 1)
            return;
    }

    //OVDE KORISTI DP2 UMESTO DP

    for(int i = 0; i < n; ++i) {
        for(int j = 0; j < 2; ++j) {
            for(int k = 0; k < (1<<2); ++k) {
                dp2[i][j][k] = INF;
            }
        }
    }

    for(int i = 0; i < 2; ++i) {
        dp2[0][i][0] = (v[0] != i);
    }

    for(int i = 1; i < n; ++i) {
        for(int j = 0; j < 2; ++j) {
            //prosla cifra ova petlja
            for(int k = 0; k < 2; ++k) {
                //data cifra ova petlja
                for(int mask = 0; mask < (1<<2); ++mask) {
                    if(j == k) {
                        if(((mask>>j)&1) == 0)
                            ckmin(dp2[i][k][mask], dp2[i-1][j][mask] + (v[i] != k));
                    }
                    else {
                        //to znaci da smo zavrsili taj blok
                        if(((mask>>j)&1) == 0 && ((mask>>k)&1) == 0) {
                            ckmin(dp2[i][k][mask + (1<<j)], dp2[i-1][j][mask] + (v[i] != k));
                        }
                    }
                }
            }
        }
    }

    /*
    for(int i = 0; i < 2; ++i) {
        for(int mask = 0; mask < (1<<2); ++mask) {
            debug(i, mask, dp[n-1][i][mask]);
        }
    }
    */

    int ans = INF;

    for(int i = 0; i < 2; ++i) {
        for(int mask = 0; mask < (1<<2); ++mask) {
            ckmin(ans, dp2[n-1][i][mask]);
        }
    }

    cerr << "slucaj kada su samo 0 i 1" << nl;
    cout << ans << nl;
    exit(0);
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    //e sada, ovo ti radi ali je presporo
    //moguce da pravo resenje nema trecu dimenziju?
    //sta ako radimo samo dp[i][j] gde je j maska?

    string s;
    cin >> s;
    int n = sz(s);
    vi v(n);
    
    for(int i = 0; i < n; ++i) {
        v[i] = s[i] -'0';
    }

    check(v);

    for(int i = 0; i < n; ++i) {
        for(int j = 0; j < 10; ++j) {
            for(int k = 0; k < (1<<10); ++k) {
                dp[i][j][k] = INF;
            }
        }
    }

    for(int c = 0; c < 10; ++c) {
        dp[0][c][0] = (v[0] != c);
    }

    for(int i = 1; i < n; ++i) {
        for(int j = 0; j < 10; ++j) {
            //prosla cifra ova petlja
            for(int k = 0; k < 10; ++k) {
                //data cifra ova petlja
                for(int mask = 0; mask < (1<<10); ++mask) {
                    if(j == k) {
                        if(((mask>>j)&1) == 0)
                            ckmin(dp[i][k][mask], dp[i-1][j][mask] + (v[i] != k));
                    }
                    else {
                        //to znaci da smo zavrsili taj blok
                        if(((mask>>j)&1) == 0 && ((mask>>k)&1) == 0) {
                            ckmin(dp[i][k][mask + (1<<j)], dp[i-1][j][mask] + (v[i] != k));
                        }
                    }
                }
            }
        }
    }

    /*
    for(int i = 0; i < n; ++i) {
        for(int j = 0; j < 10; ++j) {
            for(int k = 0; k < (1<<10); ++k) {
                debug(i, j);

                for(int u = 9; ~u; --u) {
                    cerr << ((k>>u)&1);
                }
                cerr << nl;
                debug(i, j, dp[i][j][k]);
            }
        }
    }
    */

    int ans = INF;

    for(int c = 0; c < 10; ++c) {
        for(int k = 0; k < (1<<10); ++k) {
            ckmin(ans, dp[n-1][c][k]);
        }
    }

    cout << ans << nl;

}